//
// Create TGraphErrors from afb.txt and fit it in the range [-.8,.8]
//

#include "TCanvas.h"
#include "TF1.h"
#include "TGraphErrors.h"
#include "TStyle.h"

void afbfitg()
{
   // Read graph out of the file
   TGraphErrors *g = new TGraphErrors("afb.txt");

   // Display it with axis and polymarker (if any)
   g->Draw("AP");

   // Create the function for the fit
   TF1 *fb = new TF1("fbfun","[0]*(1+[1]*x+x*x)",-.8,.8);

   // Set the initial parameters
   fb->SetParameters(1.,.2);

   // Show the result of the fit into the canvas
   gStyle->SetOptFit(1011);

   // Run the fit in the range specified by the function and superimposing the result
   g->Fit(fb, "R", "S");
}
