//
// Create TGraphErrors from afb.txt and fit it in the range [-.8,.8]
//

#include "Riostream.h"
#include "TCanvas.h"
#include "TF1.h"
#include "TH1F.h"
#include "TString.h"
#include "TStyle.h"

void afbfith()
{

   // Create the histogram with 20 bins in [-1.,1.]
   TH1F *hfb = new TH1F("hfb", "hfb", 20, -1., 1.);

   // Read the data out of the file and fill the histogram
   fstream infile("files/evts.txt", std::ios::in);
   if (!infile.is_open()) {
      Printf("Problem opening the file");
      return;
   }

   TString line;
   line.ReadLine(infile);
   while (!line.IsNull()) {
      line.Strip(TString::kTrailing, '\n');
      if (line.IsFloat())
         hfb->Fill(line.Atof());
      line.ReadLine(infile);
   }
   infile.close();

   // Display the histogram
   hfb->Draw();

   // Create the function for the fit
   TF1 *fb = new TF1("fbfun","[0]*(1+[1]*x+x*x)",-.8,.8);

   // Set the initial parameters
   fb->SetParameters(1.,.2);

   // Show the result of the fit into the canvas
   gStyle->SetOptFit(1011);

   // Run the fit in the range specified by the function and superimposing the result
   hfb->Fit(fb, "R", "SAME");
}
