/* ************************************************************** *
 * Simple test of trigonometry ...                                *
 * ************************************************************** */

/* Standard headers */
#include <stdio.h>
#include <math.h>

void test_trig(double x = .5)
{

   /* The sine */
   double s = sin(x);
   printf("test_trig: sin(%f) = %f\n", x, s);

   /* The cosine */
   double c = cos(x);
   printf("test_trig: cos(%f) = %f\n", x, c);

   /* The tangent */
   double t = tan(x);
   printf("test_trig: tan(%f) = %f\n", x, t);

   /* Check consistency */
   double d = fabs(t - s/c);
   if (d > .000001) {
      printf("test_trig: inconsistent tangent value for %f (tan = %f, s/c = %f, d = %f)\n", x, t, s/c, d);
   }
}

