#include "TFile.h"
#include "TTree.h"
#include "TRandom.h"

#include <vector>

#ifdef __MAKECINT__
#pragma link C++ class vector<float>+;
#pragma link C++ class vector<int>+;
#endif

void treestdvec(const char *fn = "treestdvec.root")
{
   // Open the file
   TFile *f = TFile::Open(fn, "RECREATE");
   if (!f || (f && f->IsZombie())) {
      if (f) delete f;
      Printf("Error: cannot open '%s'", fn);
   }

   // Create the tree
   TTree *t = new TTree("treeStd", "A tree contains standard lib containers");
   t->SetDirectory(f);

   // Create the branch
   std::vector<int> vecti;
   std::vector<float> vectf;

   t->Branch("vectint", &vecti);
   t->Branch("vectfloat", &vectf);
   t->AutoSave();

   // Fill the tree
   for (Long64_t i = 0; i < 100; i++) {
      vecti.clear();
      Int_t jmx = (Int_t) (gRandom->Rndm() * 20);
      for (Int_t j = 0; j < jmx; j++) {
         vecti.push_back(i+j);
      }
      vectf.clear();
      jmx = (Int_t) (gRandom->Rndm() * 20);
      for (Int_t j = 0; j < jmx; j++) {
         vectf.push_back( (i + j) / 10.);
      }
      t->Fill();
   }

   // Write the tree out
   f->cd();
   t->Write(0, TObject::kOverwrite);
   t->SetDirectory(0);
   // Close file
   f->Close();
   delete f;
   delete t;
}
