//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Sun Apr  8 14:52:33 2012 by ROOT version 5.33/01
// from TTree treeStd/A tree contains standard lib containers
// found on file: treestdvec.root
//////////////////////////////////////////////////////////

#ifndef treestdvecAna_h
#define treestdvecAna_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>

// Header file for the classes stored in the TTree if any.
#include <vector>
#include "vector.dll"

// Fixed size dimensions of array or collections stored in the TTree if any.

class treestdvecAna {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   // Declaration of leaf types
   vector<int>     *vectint;
   vector<float>   *vectfloat;

   // List of branches
   TBranch        *b_vectint;   //!
   TBranch        *b_vectfloat;   //!

   treestdvecAna(TTree *tree=0);
   virtual ~treestdvecAna();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef treestdvecAna_cxx
treestdvecAna::treestdvecAna(TTree *tree) : fChain(0) 
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("treestdvec.root");
      if (!f || !f->IsOpen()) {
         f = new TFile("treestdvec.root");
      }
      f->GetObject("treeStd",tree);

   }
   Init(tree);
}

treestdvecAna::~treestdvecAna()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t treestdvecAna::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t treestdvecAna::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void treestdvecAna::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set object pointer
   vectint = 0;
   vectfloat = 0;
   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("vectint", &vectint, &b_vectint);
   fChain->SetBranchAddress("vectfloat", &vectfloat, &b_vectfloat);
   Notify();
}

Bool_t treestdvecAna::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void treestdvecAna::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t treestdvecAna::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef treestdvecAna_cxx
