//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Wed Apr 18 00:58:26 2012 by ROOT version 5.33/01
// from TTree EventTree/Event Tree
// found on file: data/event/event_tree_0_1.root
//////////////////////////////////////////////////////////

#ifndef ClassEvt_h
#define ClassEvt_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include "TRef.h"
#include "TH1F.h"
#include "TH1I.h"


// Header file for the classes stored in the TTree if any.
#include <TObject.h>
#include <TBits.h>

// Fixed size dimensions of array or collections stored in the TTree if any.
const Int_t kMaxfTracks = 73;

class ClassEvt {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   //Output hist
   TH1F* fPtHist;            //!Pt hist
   TH1I* fNTracksHist;       //!Ntrack hist

   // Declaration of leaf types
 //Event           *event;
   UInt_t          fUniqueID;
   UInt_t          fBits;
   Char_t          fType[20];
   char*           fEventName;
   Int_t           fNtrack;
   Int_t           fNseg;
   Int_t           fNvertex;
   UInt_t          fFlag;
   Double32_t      fTemperature;
   Int_t           fMeasures[10];
   Double32_t      fMatrix[4][4];
   Double32_t      fClosestDistance[20];   //[fNvertex]
   Int_t           fEvtHdr_fEvtNum;
   Int_t           fEvtHdr_fRun;
   Int_t           fEvtHdr_fDate;
   Int_t           fTracks_;
   UInt_t          fTracks_fUniqueID[kMaxfTracks];   //[fTracks_]
   UInt_t          fTracks_fBits[kMaxfTracks];   //[fTracks_]
   Float_t         fTracks_fPx[kMaxfTracks];   //[fTracks_]
   Float_t         fTracks_fPy[kMaxfTracks];   //[fTracks_]
   Float_t         fTracks_fPz[kMaxfTracks];   //[fTracks_]
   Float_t         fTracks_fRandom[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fMass2[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fBx[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fBy[kMaxfTracks];   //[fTracks_]
   Float_t         fTracks_fMeanCharge[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fXfirst[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fXlast[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fYfirst[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fYlast[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fZfirst[kMaxfTracks];   //[fTracks_]
   Float16_t       fTracks_fZlast[kMaxfTracks];   //[fTracks_]
   Double32_t      fTracks_fCharge[kMaxfTracks];   //[fTracks_]
   Double32_t      fTracks_fVertex[kMaxfTracks][3];   //[fTracks_]
   Int_t           fTracks_fNpoint[kMaxfTracks];   //[fTracks_]
   Short_t         fTracks_fValid[kMaxfTracks];   //[fTracks_]
   Int_t           fTracks_fNsp[kMaxfTracks];   //[fTracks_]
   Double32_t     *fTracks_fPointValue[kMaxfTracks];   //[fTracks_fNsp]
   UInt_t          fTracks_fTriggerBits_fUniqueID[kMaxfTracks];   //[fTracks_]
   UInt_t          fTracks_fTriggerBits_fBits[kMaxfTracks];   //[fTracks_]
   UInt_t          fTracks_fTriggerBits_fNbits[kMaxfTracks];   //[fTracks_]
   UInt_t          fTracks_fTriggerBits_fNbytes[kMaxfTracks];   //[fTracks_]
   UChar_t        *fTracks_fTriggerBits_fAllBits[kMaxfTracks];   //[fTracks_fTriggerBits_fNbytes]
   TRef            fLastTrack;
   TRef            fWebHistogram;
   UInt_t          fTriggerBits_fUniqueID;
   UInt_t          fTriggerBits_fBits;
   UInt_t          fTriggerBits_fNbits;
   UInt_t          fTriggerBits_fNbytes;
   UChar_t         fTriggerBits_fAllBits[1];   //[fTriggerBits.fNbytes]
   Bool_t          fIsValid;

   // List of branches
   TBranch        *b_event_fUniqueID;   //!
   TBranch        *b_event_fBits;   //!
   TBranch        *b_event_fType;   //!
   TBranch        *b_event_fEventName;   //!
   TBranch        *b_event_fNtrack;   //!
   TBranch        *b_event_fNseg;   //!
   TBranch        *b_event_fNvertex;   //!
   TBranch        *b_event_fFlag;   //!
   TBranch        *b_event_fTemperature;   //!
   TBranch        *b_event_fMeasures;   //!
   TBranch        *b_event_fMatrix;   //!
   TBranch        *b_fClosestDistance;   //!
   TBranch        *b_event_fEvtHdr_fEvtNum;   //!
   TBranch        *b_event_fEvtHdr_fRun;   //!
   TBranch        *b_event_fEvtHdr_fDate;   //!
   TBranch        *b_event_fTracks_;   //!
   TBranch        *b_fTracks_fUniqueID;   //!
   TBranch        *b_fTracks_fBits;   //!
   TBranch        *b_fTracks_fPx;   //!
   TBranch        *b_fTracks_fPy;   //!
   TBranch        *b_fTracks_fPz;   //!
   TBranch        *b_fTracks_fRandom;   //!
   TBranch        *b_fTracks_fMass2;   //!
   TBranch        *b_fTracks_fBx;   //!
   TBranch        *b_fTracks_fBy;   //!
   TBranch        *b_fTracks_fMeanCharge;   //!
   TBranch        *b_fTracks_fXfirst;   //!
   TBranch        *b_fTracks_fXlast;   //!
   TBranch        *b_fTracks_fYfirst;   //!
   TBranch        *b_fTracks_fYlast;   //!
   TBranch        *b_fTracks_fZfirst;   //!
   TBranch        *b_fTracks_fZlast;   //!
   TBranch        *b_fTracks_fCharge;   //!
   TBranch        *b_fTracks_fVertex;   //!
   TBranch        *b_fTracks_fNpoint;   //!
   TBranch        *b_fTracks_fValid;   //!
   TBranch        *b_fTracks_fNsp;   //!
   TBranch        *b_fTracks_fPointValue;   //!
   TBranch        *b_fTracks_fTriggerBits_fUniqueID;   //!
   TBranch        *b_fTracks_fTriggerBits_fBits;   //!
   TBranch        *b_fTracks_fTriggerBits_fNbits;   //!
   TBranch        *b_fTracks_fTriggerBits_fNbytes;   //!
   TBranch        *b_fTracks_fTriggerBits_fAllBits;   //!
   TBranch        *b_event_fLastTrack;   //!
   TBranch        *b_event_fWebHistogram;   //!
   TBranch        *b_event_fTriggerBits_fUniqueID;   //!
   TBranch        *b_event_fTriggerBits_fBits;   //!
   TBranch        *b_event_fTriggerBits_fNbits;   //!
   TBranch        *b_event_fTriggerBits_fNbytes;   //!
   TBranch        *b_fTriggerBits_fAllBits;   //!
   TBranch        *b_event_fIsValid;   //!

   ClassEvt(TTree *tree=0);
   virtual ~ClassEvt();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef ClassEvt_cxx
ClassEvt::ClassEvt(TTree *tree) : fChain(0), fPtHist(0), fNTracksHist(0)
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("data/event/event_tree_0_1.root");
      if (!f || !f->IsOpen()) {
         f = new TFile("data/event/event_tree_0_1.root");
      }
      f->GetObject("EventTree",tree);

   }
   Init(tree);

   fPtHist = new TH1F("pt_dist","p_{T} Distribution",100,0,5);
   fPtHist->SetDirectory(0);
   fPtHist->GetXaxis()->SetTitle("p_{T}");
   fPtHist->GetYaxis()->SetTitle("dN/p_{T}dp_{T}");

   fNTracksHist = new TH1I("ntracks_dist","N_{Tracks} per Event Distribution",100,0,100);
   fNTracksHist->SetDirectory(0);
   fNTracksHist->GetXaxis()->SetTitle("N_{Tracks}");
   fNTracksHist->GetYaxis()->SetTitle("N_{Events}");

}

ClassEvt::~ClassEvt()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t ClassEvt::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t ClassEvt::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void ClassEvt::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set array pointer
   for(int i=0; i<kMaxfTracks; ++i) fTracks_fPointValue[i] = 0;
   for(int i=0; i<kMaxfTracks; ++i) fTracks_fTriggerBits_fAllBits[i] = 0;

   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("fUniqueID", &fUniqueID, &b_event_fUniqueID);
   fChain->SetBranchAddress("fBits", &fBits, &b_event_fBits);
   fChain->SetBranchAddress("fType[20]", fType, &b_event_fType);
   fChain->SetBranchAddress("fEventName", &fEventName, &b_event_fEventName);
   fChain->SetBranchAddress("fNtrack", &fNtrack, &b_event_fNtrack);
   fChain->SetBranchAddress("fNseg", &fNseg, &b_event_fNseg);
   fChain->SetBranchAddress("fNvertex", &fNvertex, &b_event_fNvertex);
   fChain->SetBranchAddress("fFlag", &fFlag, &b_event_fFlag);
   fChain->SetBranchAddress("fTemperature", &fTemperature, &b_event_fTemperature);
   fChain->SetBranchAddress("fMeasures[10]", fMeasures, &b_event_fMeasures);
   fChain->SetBranchAddress("fMatrix[4][4]", fMatrix, &b_event_fMatrix);
   fChain->SetBranchAddress("fClosestDistance", fClosestDistance, &b_fClosestDistance);
   fChain->SetBranchAddress("fEvtHdr.fEvtNum", &fEvtHdr_fEvtNum, &b_event_fEvtHdr_fEvtNum);
   fChain->SetBranchAddress("fEvtHdr.fRun", &fEvtHdr_fRun, &b_event_fEvtHdr_fRun);
   fChain->SetBranchAddress("fEvtHdr.fDate", &fEvtHdr_fDate, &b_event_fEvtHdr_fDate);
   fChain->SetBranchAddress("fTracks", &fTracks_, &b_event_fTracks_);
   fChain->SetBranchAddress("fTracks.fUniqueID", fTracks_fUniqueID, &b_fTracks_fUniqueID);
   fChain->SetBranchAddress("fTracks.fBits", fTracks_fBits, &b_fTracks_fBits);
   fChain->SetBranchAddress("fTracks.fPx", fTracks_fPx, &b_fTracks_fPx);
   fChain->SetBranchAddress("fTracks.fPy", fTracks_fPy, &b_fTracks_fPy);
   fChain->SetBranchAddress("fTracks.fPz", fTracks_fPz, &b_fTracks_fPz);
   fChain->SetBranchAddress("fTracks.fRandom", fTracks_fRandom, &b_fTracks_fRandom);
   fChain->SetBranchAddress("fTracks.fMass2", fTracks_fMass2, &b_fTracks_fMass2);
   fChain->SetBranchAddress("fTracks.fBx", fTracks_fBx, &b_fTracks_fBx);
   fChain->SetBranchAddress("fTracks.fBy", fTracks_fBy, &b_fTracks_fBy);
   fChain->SetBranchAddress("fTracks.fMeanCharge", fTracks_fMeanCharge, &b_fTracks_fMeanCharge);
   fChain->SetBranchAddress("fTracks.fXfirst", fTracks_fXfirst, &b_fTracks_fXfirst);
   fChain->SetBranchAddress("fTracks.fXlast", fTracks_fXlast, &b_fTracks_fXlast);
   fChain->SetBranchAddress("fTracks.fYfirst", fTracks_fYfirst, &b_fTracks_fYfirst);
   fChain->SetBranchAddress("fTracks.fYlast", fTracks_fYlast, &b_fTracks_fYlast);
   fChain->SetBranchAddress("fTracks.fZfirst", fTracks_fZfirst, &b_fTracks_fZfirst);
   fChain->SetBranchAddress("fTracks.fZlast", fTracks_fZlast, &b_fTracks_fZlast);
   fChain->SetBranchAddress("fTracks.fCharge", fTracks_fCharge, &b_fTracks_fCharge);
   fChain->SetBranchAddress("fTracks.fVertex[3]", fTracks_fVertex, &b_fTracks_fVertex);
   fChain->SetBranchAddress("fTracks.fNpoint", fTracks_fNpoint, &b_fTracks_fNpoint);
   fChain->SetBranchAddress("fTracks.fValid", fTracks_fValid, &b_fTracks_fValid);
   fChain->SetBranchAddress("fTracks.fNsp", fTracks_fNsp, &b_fTracks_fNsp);
   fChain->SetBranchAddress("fTracks.fPointValue", fTracks_fPointValue, &b_fTracks_fPointValue);
   fChain->SetBranchAddress("fTracks.fTriggerBits.fUniqueID", fTracks_fTriggerBits_fUniqueID, &b_fTracks_fTriggerBits_fUniqueID);
   fChain->SetBranchAddress("fTracks.fTriggerBits.fBits", fTracks_fTriggerBits_fBits, &b_fTracks_fTriggerBits_fBits);
   fChain->SetBranchAddress("fTracks.fTriggerBits.fNbits", fTracks_fTriggerBits_fNbits, &b_fTracks_fTriggerBits_fNbits);
   fChain->SetBranchAddress("fTracks.fTriggerBits.fNbytes", fTracks_fTriggerBits_fNbytes, &b_fTracks_fTriggerBits_fNbytes);
   fChain->SetBranchAddress("fTracks.fTriggerBits.fAllBits", fTracks_fTriggerBits_fAllBits, &b_fTracks_fTriggerBits_fAllBits);
   fChain->SetBranchAddress("fLastTrack", &fLastTrack, &b_event_fLastTrack);
   fChain->SetBranchAddress("fWebHistogram", &fWebHistogram, &b_event_fWebHistogram);
   fChain->SetBranchAddress("fTriggerBits.fUniqueID", &fTriggerBits_fUniqueID, &b_event_fTriggerBits_fUniqueID);
   fChain->SetBranchAddress("fTriggerBits.fBits", &fTriggerBits_fBits, &b_event_fTriggerBits_fBits);
   fChain->SetBranchAddress("fTriggerBits.fNbits", &fTriggerBits_fNbits, &b_event_fTriggerBits_fNbits);
   fChain->SetBranchAddress("fTriggerBits.fNbytes", &fTriggerBits_fNbytes, &b_event_fTriggerBits_fNbytes);
   fChain->SetBranchAddress("fTriggerBits.fAllBits", &fTriggerBits_fAllBits, &b_fTriggerBits_fAllBits);
   fChain->SetBranchAddress("fIsValid", &fIsValid, &b_event_fIsValid);
   Notify();
}

Bool_t ClassEvt::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void ClassEvt::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t ClassEvt::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef ClassEvt_cxx
