//////////////////////////////////////////////////////////
// This class has been automatically generated on
// Wed Apr 18 00:58:54 2012 by ROOT version 5.33/01
// from TTree EventTree/Event Tree
// found on file: data/event/event_tree_0_1_unsplit.root
//////////////////////////////////////////////////////////

#ifndef ClassEvtUnsplit_h
#define ClassEvtUnsplit_h

#include <TROOT.h>
#include <TChain.h>
#include <TFile.h>
#include "TH1F.h"
#include "TH1I.h"
#include "eventclass/Event.h"

// Header file for the classes stored in the TTree if any.

// Fixed size dimensions of array or collections stored in the TTree if any.
class Event;
class ClassEvtUnsplit {
public :
   TTree          *fChain;   //!pointer to the analyzed TTree or TChain
   Int_t           fCurrent; //!current Tree number in a TChain

   //Output hist
   TH1F* fPtHist;            //!Pt hist
   TH1I* fNTracksHist;       //!Ntrack hist

   // Declaration of leaf types
   Event           *event;

   // List of branches
   TBranch        *b_event;   //!

   ClassEvtUnsplit(TTree *tree=0);
   virtual ~ClassEvtUnsplit();
   virtual Int_t    Cut(Long64_t entry);
   virtual Int_t    GetEntry(Long64_t entry);
   virtual Long64_t LoadTree(Long64_t entry);
   virtual void     Init(TTree *tree);
   virtual void     Loop();
   virtual Bool_t   Notify();
   virtual void     Show(Long64_t entry = -1);
};

#endif

#ifdef ClassEvtUnsplit_cxx
ClassEvtUnsplit::ClassEvtUnsplit(TTree *tree) : fChain(0) 
{
// if parameter tree is not specified (or zero), connect the file
// used to generate this class and read the Tree.
   if (tree == 0) {
      TFile *f = (TFile*)gROOT->GetListOfFiles()->FindObject("data/event/event_tree_0_1_unsplit.root");
      if (!f || !f->IsOpen()) {
         f = new TFile("data/event/event_tree_0_1_unsplit.root");
      }
      f->GetObject("EventTree",tree);

   }
   Init(tree);

   fPtHist = new TH1F("pt_dist","p_{T} Distribution",100,0,5);
   fPtHist->SetDirectory(0);
   fPtHist->GetXaxis()->SetTitle("p_{T}");
   fPtHist->GetYaxis()->SetTitle("dN/p_{T}dp_{T}");

   fNTracksHist = new TH1I("ntracks_dist","N_{Tracks} per Event Distribution",100,0,100);
   fNTracksHist->SetDirectory(0);
   fNTracksHist->GetXaxis()->SetTitle("N_{Tracks}");
   fNTracksHist->GetYaxis()->SetTitle("N_{Events}");

}

ClassEvtUnsplit::~ClassEvtUnsplit()
{
   if (!fChain) return;
   delete fChain->GetCurrentFile();
}

Int_t ClassEvtUnsplit::GetEntry(Long64_t entry)
{
// Read contents of entry.
   if (!fChain) return 0;
   return fChain->GetEntry(entry);
}
Long64_t ClassEvtUnsplit::LoadTree(Long64_t entry)
{
// Set the environment to read one entry
   if (!fChain) return -5;
   Long64_t centry = fChain->LoadTree(entry);
   if (centry < 0) return centry;
   if (fChain->GetTreeNumber() != fCurrent) {
      fCurrent = fChain->GetTreeNumber();
      Notify();
   }
   return centry;
}

void ClassEvtUnsplit::Init(TTree *tree)
{
   // The Init() function is called when the selector needs to initialize
   // a new tree or chain. Typically here the branch addresses and branch
   // pointers of the tree will be set.
   // It is normally not necessary to make changes to the generated
   // code, but the routine can be extended by the user if needed.
   // Init() will be called many times when running on PROOF
   // (once per file to be processed).

   // Set object pointer
   event = 0;
   // Set branch addresses and branch pointers
   if (!tree) return;
   fChain = tree;
   fCurrent = -1;
   fChain->SetMakeClass(1);

   fChain->SetBranchAddress("event", &event, &b_event);
   Notify();
}

Bool_t ClassEvtUnsplit::Notify()
{
   // The Notify() function is called when a new file is opened. This
   // can be either for a new TTree in a TChain or when when a new TTree
   // is started when using PROOF. It is normally not necessary to make changes
   // to the generated code, but the routine can be extended by the
   // user if needed. The return value is currently not used.

   return kTRUE;
}

void ClassEvtUnsplit::Show(Long64_t entry)
{
// Print contents of entry.
// If entry is not specified, print current entry
   if (!fChain) return;
   fChain->Show(entry);
}
Int_t ClassEvtUnsplit::Cut(Long64_t entry)
{
// This function may be called from Loop.
// returns  1 if entry is accepted.
// returns -1 otherwise.
   return 1;
}
#endif // #ifdef ClassEvtUnsplit_cxx
